Skip to main content

private/staking/convert

POST 

/private/staking/convert

Create a request to convert between staked token with liquid staking token.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/staking/convert"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    from_instrument_name stringrequired

    Instrument name to convert from, e.g. ETH.staked or CDCETH.

    to_instrument_name stringrequired

    Instrument name to convert to: CDCETH if from is ETH.staked, ETH.staked if from is CDCETH.

    expected_rate decimalrequired

    Expected conversion rate, from public/staking/get-conversion-rate.

    from_quantity decimalrequired

    Quantity to be converted in from_instrument_name.

    slippage_tolerance_bps decimalrequired

    Maximum slippage allowed in basis point.

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. from_instrument_name, to_instrument_name, expected_rate, from_quantity, slippage_tolerance_bps, convert_id, reason per doc.
    from_instrument_name string

    Instrument name to convert from, e.g. ETH.staked

    to_instrument_name string

    Instrument name to convert to, e.g. CDCETH

    expected_rate decimal

    Expected conversion rate

    from_quantity decimal

    Quantity to be converted in from_instrument_name

    slippage_tolerance_bps int32

    Maximum slippage allowed in basis point

    convert_id string

    Convert request id

    reason string

    Reason for the status, e.g. NO_ERROR

    message string

    Present when code !== 0.

    original string

    Present when code !== 0.